{
  "name": "{{ agave.appsPrefix }}-picard-markduplicates-gf2",
  "version": "2.22.7.01",
  "label": "Picard MarkDuplicates",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/picard-markduplicates-gf2-2.22.7-01",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "picard-markduplicates-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "validation_stringency",
      "value": {
        "required": false,
        "default": "LENIENT",
        "type": "string"
      }
    },
    { "id": "remove_duplicates",
      "value": {
        "required": false,
        "default": "false",
        "type": "string"
      }
    },
    { "id": "assume_sort_order",
      "value": {
        "required": false,
        "default": "coordinate",
        "type": "string"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    }
  ]
}